version: '2'
services:
  pizzashop-app:
    image: pizzashop
    environment:
      - _JAVA_OPTIONS=-Xmx512m -Xms256m
      - SPRING_PROFILES_ACTIVE=prod,swagger
      - MANAGEMENT_METRICS_EXPORT_PROMETHEUS_ENABLED=true
      - SPRING_DATASOURCE_URL=jdbc:mysql://pizzashop-mysql:3306/pizzashop?useUnicode=true&characterEncoding=utf8&useSSL=false
      - JHIPSTER_SLEEP=30 # gives time for other services to boot before the application
    ports:
      - 8080:8080
  pizzashop-mysql:
    extends:
      file: mysql.yml
      service: pizzashop-mysql
